Seitenaufrufe
GET https://flowlite.eu/api/pageviews-normal/
curl --request GET \
--url 'https://flowlite.eu/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Integer | |
| type | Optional String | Erlaubte Werte: landing_page, pageview |
| session_id | Optional Integer | |
| visitor_id | Optional Integer | |
| has_bounced | Optional Integer | Erlaubte Werte: 0, 1 |
| search | Optional String | Suchbegriff. |
| search_by | Optional String | Feld, in dem gesucht wird. Erlaubte Werte: path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign. |
| datetime_field | Optional String | Erlaubte Werte: date |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date. |
| order_type | Optional String | Sortierreihenfolge: ASC (aufsteigend) oder DESC (absteigend). |
| page | Optional Integer | Seitenzahl der Ergebnisse (Standard: 1). |
| results_per_page | Optional Integer | Anzahl Ergebnisse pro Seite. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000 (Standard: 25). |
{
"data": [
{
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-07-19",
"datetime": "2026-07-19 20:39:17"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://flowlite.eu/api/pageviews-normal?website_id=1&page=1",
"last": "https://flowlite.eu/api/pageviews-normal?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://flowlite.eu/api/pageviews-normal?website_id=1&page=1"
}
}
GET https://flowlite.eu/api/pageviews-normal/{event_id}
curl --request GET \
--url 'https://flowlite.eu/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-07-19",
"datetime": "2026-07-19 20:39:17"
}
}
DELETE https://flowlite.eu/api/pageviews-normal/{event_id}
curl --request DELETE \
--url 'https://flowlite.eu/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://flowlite.eu/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \